Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 481)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 482)
@@ -1,70 +1,13 @@
 New:
 ---
-compare_palm_logs is additionally compiled with mbuild -u (Makefile in trunk/UTIL)
 
-make options (mopts) to be set by configuration file implemented (mrun, mbuild)
-
-humidity=.T. is now usable for runs with topography. wall_humidityflux and
-wall_scalarflux are the corresponding new parin arrays.
-(check_parameters, init_3d_model, parin)
-
-Large scale vertical motion (subsidence/ascent) can be applied to the
-prognostic equation for the potential temperature. (check_parameters, header,
-Makefile, modules, parin, prognostic_equations, read_var_list, subsidence,
-write_var_list)
-
-A simple method for installing and running palm (with limited features)
-has been added. (Makefile, palm_simple_install, palm_simple_run)
-
-check parameters, header, init_3d_model, Makefile, mbuild, modules, mrun, parin, prognostic_equations, read_var_list, write_var_list
-new: palm_simple_install, palm_simple_run, subsidence
 
 
 Changed:
 -------
-2d-decomposition is default for Cray-XT machines (init_pegrid)
 
-var_ts is replaced by dots_max (modules,init_3d_model)
-
-Every cloud droplet has now an own weighting factor and can be deleted due to
-collisions. Condensation and collision of cloud droplets are adjusted
-accordingly. (advec_particles)
-
-Collision efficiency for large cloud droplets has changed according to table of
-Rogers and Yau. (collision_efficiency)
-
-advec_particles, collision_efficiency, init_3d_model, init_pegrid, modules
 
 
 Errors:
 ------
-Bugfix for generating serial jobs (subjob)
 
-Bugfix: index problem concerning gradient_level indices removed (header)
-
-Dimension of array stat in cascade change to prevent type problems with
-mpi2 libraries (poisfft_hybrid)
-
-A loop has been splitted to make runs reproducible on HLRN
-systems. (disturb_field)
-
-Bugfix: exchange of ghost points for prho included (time_integration)
-
-Bugfix: calculation of time-averaged surface heatfluxes (sum_up_3d_data)
-
-Bugfix: calculation of precipitation_rate (calc_precipitation)
-
-Bugfix: initial data assignments to some dvrp arrays changed due to error
-messages from gfortran compiler (modules)
-
-Bugfix: calculation of cloud droplet velocity (advec_particles)
-
-Bugfix: transfer of particles at south/left edge (advec_particles)
-
-Bugfix: calculation of collision_efficiency (collision_efficiency)
-
-Bugfix: initialisation of var_mod (subsidence)
-
-advec_particles, calc_precipitation, collision_efficiency, disturb_field, header, modules, poisfft_hybrid, subjob, subsidence, sum_up_3d_data, time_integration
-
-
Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 481)
+++ palm/trunk/SOURCE/Makefile	(revision 482)
@@ -2,6 +2,13 @@
 # WARNING: don't write filenames with extension .f90 in this header!!!!
 #
-# Actual revisions:
+# Current revisions:
+# ------------------
+# 
+#
+# Former revisions:
 # -----------------
+# $Id$
+#
+# 421 2010-01-25 15:50:10Z raasch
 # comment line for simple install method added, which will be replaced
 # by an include command for preprocessor and compiler options when the simple
@@ -10,11 +17,6 @@
 # +subsidence
 #
-# Branch revisions:
-# -----------------
+# 410 2009-12-04 17:05:40Z letzel
 # +data_output_mask, init_masks, user_data_output_mask
-#
-# Former revisions:
-# -----------------
-# $Id$
 #
 # 217 2008-12-09 18:00:48Z letzel
Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 481)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 482)
@@ -5,4 +5,10 @@
 ! -----------------
 ! TEST: PRINT statements on unit 9 (commented out)
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 420 2010-01-13 15:10:53Z franke
 ! Own weighting factor for every cloud droplet is implemented and condensation
 ! and collision of cloud droplets are adjusted accordingly. +delta_v, -s_r3,
@@ -16,8 +22,4 @@
 !         y>=(ny+0.5)*dy-1.e-12 or x>=(nx+0.5)*dx-1.e-12, very rare
 ! Bugfix: calculation of y (collision_efficiency)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 336 2009-06-10 11:19:35Z raasch
Index: palm/trunk/SOURCE/calc_precipitation.f90
===================================================================
--- palm/trunk/SOURCE/calc_precipitation.f90	(revision 481)
+++ palm/trunk/SOURCE/calc_precipitation.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix in calculation of precipitation_rate(j,i)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 403 2009-10-22 13:57:16Z franke
+! Bugfix in calculation of precipitation_rate(j,i)
 !
 ! 73 2007-03-20 08:33:14Z raasch
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 481)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix in serial branch: arguments from array local_pf removed in N90_PUT_VAR
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 475 2010-02-04 02:26:16Z raasch
+! Bugfix in serial branch: arguments from array local_pf removed in N90_PUT_VAR
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 481)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! A loop has been splitted to make runs reproducible on HLRN systems
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 420 2010-01-13 15:10:53Z franke
+! Loop was split to make runs reproducible when using ifort compiler
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 481)
+++ palm/trunk/SOURCE/header.f90	(revision 482)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! +large scale vertical motion (subsidence/ascent)
-! Bugfix: index problem concerning gradient_level indices removed
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 449 2010-02-02 11:23:59Z raasch
+! +large scale vertical motion (subsidence/ascent)
+! Bugfix: index problem concerning gradient_level indices removed
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 481)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 482)
@@ -7,10 +7,13 @@
 ! Current revisions:
 ! -----------------
-! var_ts is replaced by dots_max 
-! Enabled passive scalar/humidity wall fluxes for non-flat topography
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 407 2009-12-01 15:01:15Z maronga
+! var_ts is replaced by dots_max 
+! Enabled passive scalar/humidity wall fluxes for non-flat topography
 !
 ! 388 2009-09-23 09:40:33Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 481)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 482)
@@ -5,5 +5,4 @@
 ! -----------------
 ! 
-! 2d-decomposition is default for Cray-XT machines
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
 ! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
@@ -12,4 +11,6 @@
 ! -----------------
 ! $Id$
+! 438 2010-02-01 04:32:43Z raasch
+! 2d-decomposition is default for Cray-XT machines
 !
 ! 274 2009-03-26 15:11:21Z heinze
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 481)
+++ palm/trunk/SOURCE/modules.f90	(revision 482)
@@ -5,4 +5,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 449 2010-02-02 11:23:59Z raasch
 ! -var_ts: replaced by dots_max,
 ! initial data assignments to some dvrp arrays changed due to error messages
@@ -10,8 +17,4 @@
 ! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
 ! ws_vertical_gradient_level_ind, w_subs
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 481)
+++ palm/trunk/SOURCE/palm.f90	(revision 482)
@@ -73,5 +73,5 @@
     INTEGER           ::  i, run_description_header_i(80)
 
-    version = 'PALM 3.7'
+    version = 'PALM 3.7a'
 
 #if defined( __parallel )
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 481)
+++ palm/trunk/SOURCE/parin.f90	(revision 482)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! +wall_humidityflux, wall_scalarflux
-! +ws_vertical_gradient, ws_vertical_gradient_level
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 449 2010-02-02 11:23:59Z raasch
+! +wall_humidityflux, wall_scalarflux
+! +ws_vertical_gradient, ws_vertical_gradient_level
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 481)
+++ palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 482)
@@ -4,10 +4,13 @@
 ! Current revisions: 
 ! ----------------- 
-! Dimension of array stat in cascade change to prevent type problems with
-! mpi2 libraries
+! 
 !
 ! Former revisions: 
 ! ----------------- 
 ! $Id$
+!
+! 415 2009-12-15 10:26:23Z raasch
+! Dimension of array stat in cascade change to prevent type problems with
+! mpi2 libraries
 !
 ! 274 2009-03-26 15:11:21Z heinze
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 481)
+++ palm/trunk/SOURCE/production_e.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! test output from rev 410 removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 449 2010-02-02 11:23:59Z raasch
+! test output from rev 410 removed
 !
 ! 388 2009-09-23 09:40:33Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 481)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 482)
@@ -4,6 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! add call of subsidence in the prognostic equation for
-! the potential temperature
 ! 
 !
@@ -11,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 411 2009-12-11 14:15:58Z heinze
+! add call of subsidence in the equation for potential temperature
 !
 ! 388 2009-09-23 09:40:33Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 481)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 482)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
-! ws_vertical_gradient_level_ind
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 411 2009-12-11 14:15:58Z heinze
+! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
+! ws_vertical_gradient_level_ind
 !
 ! 345 2009-07-01 14:37:56Z heinze
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 481)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix in calculation of shf*_av, qsws*_av 
+!  
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 402 2009-10-21 11:59:41Z maronga
+! Bugfix in calculation of shf*_av, qsws*_av
 !
 ! 2009-08-25 08:35:52Z maronga
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 481)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 482)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: exchange of ghost points for prho included
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 449 2010-02-02 11:23:59Z raasch
+! Bugfix: exchange of ghost points for prho included
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 481)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 482)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
-! ws_vertical_gradient_level_ind
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 411 2009-12-11 14:15:58Z heinze
+! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
+! ws_vertical_gradient_level_ind
 !
 ! 345 2009-07-01 14:37:56Z heinze
